apiVersion: batch/v1
kind: Job
metadata:
  name: hue-db-init
  namespace: "{{ meta.namespace }}"
  labels:
    app: hue
spec:
  parallelism: 1
  completions: 1
  template:
    metadata:
      name: db-init
    spec:
      containers:
      - name: db-init
        image: {{ hue_app_image }}
        command: ["build/env/bin/hue", "migrate"]
        imagePullPolicy: Always
        volumeMounts:
        - name: "hue-ini"
          mountPath: /hue/desktop/conf/
      volumes:
      - name: "hue-ini"
        configMap:
          name: hue-ini
      restartPolicy: OnFailure